> For the complete documentation index, see [llms.txt](https://docs.otherplanet.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.otherplanet.dev/scripts/op-vehicle-theft/customization.md).

# Customization

## onHackStart(vehicle, heist)

Function which is executed when player start hacking.

## onHackFail(vehicle, heist)

Function which is executed when player fail hacking.

## onHackSuccess(vehicle, heist)

Funciton which is executed when palyer success hack device.

## Data In Functions

Data stored in functions variables.

* vehicle: `vehicle`
* heist:&#x20;
  * KeysSignal: `vec3` - Return vehicle keys signal coords
  * DestinationSpawned: `boolean` - Return status of destination ped
  * DestinationPed: `ped` - Return spawned ped id
  * DestinationPedCoords: `vec3` - Return destination ped coords
  * DestinationForward: `vec3` - Return destination ped forward vector
  * DestinationIsDriving: `boolean` - Return status of destination ped driving
  * hackSuccess: `boolean` - Return status of hack
  * spawnedvehicle: `vehicle` - Return spawned vehicle object
  * Vehicle: `table` - Return current heist vehicle table from config.
  * blip, blip2, blip3: `blip` - Return created blips (blip: vehicleblip, blip2: radius blip, blip3: destination blip)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.otherplanet.dev/scripts/op-vehicle-theft/customization.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
